spring:
  thymeleaf:
    cache: false  #是否使用缓存
  #数据源连接--start
  datasource:
    #driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.2.101:3306/caimei?characterEncoding=UTF8&serverTimezone=Asia/Shanghai
    username: developer
    password: 05bZ/OxTB:X+yd%1
#    url: jdbc:mysql://119.29.0.46:3306/caimei?characterEncoding=UTF8&serverTimezone=Asia/Shanghai
#    username: general
#    password: 6#xsI%b4o@5c3RoE
    # Hikari will use the above plus the following to setup connection pooling
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      pool-name: DatebookHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  #数据源连接--end


  redis:
    host: 119.29.0.46
    port: 6380
    password: 6#xsI%b4o@5c3RoE
    #Redis数据库索引（默认为0）
    database: 0
    #连接池最大连接数（使用负值表示没有限制）
    jedis:
      pool:
        max-active: 50
        #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1
        #连接池中的最大空闲连接
        max-idle: 20
        #连接池中的最小空闲连接
        min-idle: 2
    #连接超时时间（毫秒）
    timeout: 5000

#日志配置
logging:
  level:
    root: info
    com.caimei.www.mapper: debug


# 服务域名
caimei:
  spiServer: http://192.168.2.75:8008
  imageDomain: https://img-b.caimei365.com
  wwwDomain: https://www-b.caimei365.com

#    spiServer: https://spi.caimei365.com
#    imageDomain: https://img.caimei365.com
#    wwwDomain: https://www.caimei365.com

#DFS配置
fdfs:
  so-timeout: 5000 #上传的超时时间
  connect-timeout: 2000 #连接超时时间
  thumb-image:             #缩略图生成参数
    width: 150
    height: 150
  tracker-list:            #TrackerList参数,支持多个
  - 10.104.172.219:22122

http:
  multipart:
    maxFileSize: 10Mb
    maxRequestSize: 100Mb

